/*
 * primefields.h - declarations of macros/data for computing in prime finite fields
 *
 * Copyright (C) 2015, SecureRF Corporation, All Rights Reserved.
 */
#ifndef PRIMEFIELDS64_H
#define PRIMEFIELDS64_H

#include "finitefields.h"

#if INTPTR_MAX == INT64_MAX
#define ENABLE_FIELD_M61 //2^61-1
#endif

const SrfFiniteField* ffGetPrimeField64(ffelem);

#endif /* PRIMEFIELDS_H */
