/*
* Copyright (c) 2017 SecureRF Corporation, All rights reserved.
* -------------------------------------------------------------------------
* This computer program is proprietary information of SecureRF Corporation.
* The receipt or possession of this program does not convey any rights to
* reproduce or disclose its contents, or to manufacture, use, or sell
* anything that it may describe, in whole or in part, except for the purposes of 
* the post-quantum algorithm public review and evaluation in connection with 
* the National Institute of Standards and Technology’s development of standards 
* for post-quantum cryptography.  Any reproduction of this program for any other 
* purpose without the express written consent of SecureRF is a violation of the 
* copyright laws and may subject you to criminal prosecution.
* -------------------------------------------------------------------------
*/

#ifndef PRIMEFIELDS_H
#define PRIMEFIELDS_H

#include "finitefields.h"

#define ENABLE_FIELD_127          /* 2^7 - 1 */
#define ENABLE_FIELD_M31   /* 2^31 - 1 */

const SrfFiniteField* ffGetPrimeField(ffelem);

#endif /* PRIMEFIELDS_H */
